Framework

Résolu
Signaler
Messages postés
51
Date d'inscription
vendredi 23 juillet 2004
Statut
Membre
Dernière intervention
23 février 2012
-
Messages postés
51
Date d'inscription
vendredi 23 juillet 2004
Statut
Membre
Dernière intervention
23 février 2012
-
Salut à tous,

Je viens de me mettre à Visual Basic 2005, avant je développai seulement en VB6.

J'aimerais y développer une petite application simple (une fenêtre avec des liens vers des exe),
pour cela pas de problèmes.
J'aimerais que cette appli fonctionne également sur les postes XP où aucune version de framework n'est installée, et ça je ne sais pas si c'est possible avec Visual Basic 2005 ou 2008 d'ailleurs, ou peut-être faut-il que j'utilise un autre langage ???

Si quelqu'un peut m'éclairer!!

Merci
Nico

2 réponses

Messages postés
7741
Date d'inscription
mercredi 1 septembre 2004
Statut
Membre
Dernière intervention
24 septembre 2014
41
Non, ce n'est pas possible. Les application développées avec VB2005 ont obligatoirement besoin du framework correspondant pour fonctionner.

Mais les machines sans framework deviennent de plus en plus rare.

Pour Info , les applications développées avec  :

VB.Net 2002 necessitent le framework .Net 1.0
VB.Net 2003, le 1.1
VB2005, le 2.0, éventuellement le 3.0
VB2008, le 3.5 par défaut, mais peuvent se contenter du 3.0 ou 2.0 si tu as préciser de travailer sur ces framework lors de la conception de ton projet.

Normalement, les machines sous XPSP2 faisants les mises à jours automatiques devraient etre équipées du framework 2.0 (et des précédents), il a fait l'objet d'une mise à jours automatique durant le debut du second trimestre 2007. Je ne sais pas s'il apparait toujours en tant que tel.

---- Sevyc64  (alias Casy) ----<hr size="2" width="100%" /># LE PARTAGE EST NOTRE FORCE #    http://aide-office-vba.monforum.com/index.php
Messages postés
51
Date d'inscription
vendredi 23 juillet 2004
Statut
Membre
Dernière intervention
23 février 2012

Merci pour ces indications.


Mais alors quels sont les langages ne nécessitant pas de framework car beaucoup de logiciels du marché ne l'exige pas.

Nico